# C3S-512 CDS Data Checker


## Install & Run

```bash
conda create -y -n cds_checker python=3
conda activate cds_checker
git clone https://earth.bsc.es/gitlab/external/c3s512-wp1-datachecker.git
cd c3s512-wp1-datachecker
pip install -r requirements.txt
cd dqc_chekcer

python checker.py <config_file>
* Note: Config examples can be found in the dqc_wrapper/conf folder
```

## Recent updates

You can find an updated LOG to track new major modifications here:<br>
* [UPDATE LOG](UPDATE_LOG.md) 

## Description

The main function of this Gitlab Project is to join all the efforts done in the evaluation of the **C**limate **D**ata **S**tore (**CDS**).<br><br>
You can find these things:
* [Summary of Avalable Data Checkers](01_summary_data_checkers.md)
* [Fist dataset inventory of the CDS](02_cds_inventory.md)
* [Download and Format LOGs for Files from the CDS](LOG_download_format/download_and_format_info.md)
* [Download scripts used for the first assesment](download_scripts/)
* [First CF check LOG using existing cfchecker for NetCDF files](CF_checker_log/)
* [CDS API Scrapping for metadata and variables](cds_metadata/)
* [Grib Files Checker](grib_checker)
<br><br>

